<template>
    <div class="wrapper">
        <nav-title :title="title" :icon="icon"></nav-title>
        <loading :active.sync="loading" is-full-page></loading>
        <div class="md-layout mt-3 md-alignment-top-center">
            <div
                class="md-layout-item md-xlarge-size-60 md-large-size-60 md-medium-size-90 md-small-size-95"
            >
                <div  v-if="collections.length > 0" class="md-layout md-gutter">
                    <div
                        v-for="collection in collections"
                        v-bind:key="collection.id"
                        class="md-layout-item md-xlarge-size-33 md-large-size-33 md-medium-size-33 md-small-size-100 md-gutter"
                    >
                        <md-card  class="mt-2 collection-card display-grid">
                            <md-card-header >
                                <div
                                    class="md-headline text-primary coleccion-label"
                                >
                                    <b>{{ collection.label }}</b>
                                </div>
                                <div class="mt-0-5">
                                    <md-avatar>
                                        <img
                                            :src="collection.user_info.image_path"
                                            alt="Autor"
                                        />
                                    </md-avatar>
                                </div>
                                <div class="coleccion-user">
                                    <div class="text-icon">
                                        <p class=" md-caption ">
                                            Por <br />
                                            <strong>
                                                {{
                                                    collection.user
                                                        ? collection.user
                                                              .username
                                                        : "--"
                                                }}</strong
                                            >
                                        </p>
                                    </div>
                                </div>
                                <!-- </div> -->
                            </md-card-header>

                            <md-card-content>
                                <p class="no-margin coleccion-text">
                                    {{
                                        collection.description
                                            | truncateText(180)
                                    }}
                                </p>

                                <!-- <div class="card-reservation">
                                    <md-button
                                        class="md-raised md-primary"
                                        :to="{
                                            name: 'collection-detail',
                                            params: { id: collection.id }
                                        }"
                                        >Ver</md-button
                                    >
                                    <div class="md-button-group">
                                        <md-badge
                                            class=" md-square"
                                            md-position="bottom"
                                            md-content="38"
                                        >
                                            <md-button
                                                class="md-icon-button md-dense"
                                                :to="{
                                                    name: 'resources',
                                                    query: {
                                                        Collection:
                                                            collection.id
                                                    }
                                                }"
                                            >
                                                <md-icon>collections</md-icon>
                                            </md-button>
                                        </md-badge>
                                    </div>
                                </div> -->
                                <!-- <menu-coleccion
                                            :collection="collection"
                                        ></menu-coleccion> -->
                                <!-- <md-badge class=" md-square" md-position="bottom" md-content="20">
                                        <md-menu md-size="small" md-align-trigger>
                                            <md-button md-menu-trigger class="md-icon-button ">
                                                <md-icon>share</md-icon>
                                            </md-button>

                                            <md-menu-content>
                                                <li class="social-icon">
                                                    <i class="fab fa-facebook fa-lg"></i>
                                                </li>
                                                <li class="social-icon">
                                                    <i class="fab fa-twitter fa-lg"></i>
                                                </li>
                                                <li class="social-icon" @click="shareWhatsapp">
                                                        <i class="fab fa-whatsapp fa-lg"></i>
                                                    </li>
                                            </md-menu-content>
                                        </md-menu>
                                    </md-badge> 
                                    </div>
                                </div> -->
                            </md-card-content>
                            <md-card-actions md-alignment="space-between">
                                <md-button
                                    class="md-raised md-primary"
                                    :to="{
                                        name: 'collection-detail',
                                        params: { id: collection.id }
                                    }"
                                    >Ver</md-button
                                >
                                <div class="md-button-group">
                                    <md-badge
                                        class=" md-square color-badge"
                                        md-position="bottom"
                                        :md-content="collection.total_resources"
                                    >
                                        <md-button class="md-icon-button md-dense">
                                            <md-icon class="text-primary">list</md-icon>
                                        </md-button>
                                    </md-badge>
                                </div>
                            </md-card-actions>
                        </md-card>
                    </div>
                </div>
                <div v-else  class="md-layout md-gutter mt-2">
                    <span class="md-subheading">Sin resultados </span>
                </div>
            </div>
        </div>
        <div v-if="pageCount > 0" class="md-layout mt-3 md-alignment-top-center">
            <pagination class="mt-2" v-model="page" :page-count="pageCount"></pagination>
        </div>
    </div>
</template>

<script>
import axios from "axios";
import MenuColeccion from "../components/Collection/MenuColeccion.vue";
import NavTitle from "../../layout/NavTitle";
import Pagination from "../../components/Pagination.vue";
export default {
    components: { MenuColeccion, NavTitle, Pagination },
    name: "collections-public",
    data() {
        return {
            title: "Colecciones",
            icon: "collections",
            endPoint: "/api/allCollection",
            collections: [],
            showRating: false,
            starSize: 20,
            loading: false,
            sizeTruncate: 300,
            page: 1,
            numResults: 12,
            pageCount:0
        };
    },
    methods: {
        getCollections() {
            this.loading = true;
            const uri = `${this.endPoint}?page=${this.page}&num_results=${this.numResults}`;
            axios
                .get(uri)
                .then(res => {
                    if (res && res.data && res.data.data) {
                        this.collections = res.data.data.data;
                        this.pageCount = res.data.data.total_pages
                    } else {
                        this.collections = [];
                    }
                })
                .catch(error => {
                    console.log("Error Getcollections" + error);
                })
                .finally(() => {
                    this.loading = false;
                });
        }
    },
    watch: {
        page(val) {
            this.getCollections();
        }
    },
    mounted() {
        this.getCollections();
    }
};
</script>

<style lang="scss" scoped>
.card-reservation {
    margin-top: 8px;
    display: flex;
    align-items: center;
    justify-content: space-between;

    .md-icon {
        margin: 8px;
    }
}

// .content {
//     height: 132px;
// }
.collection-card {
    height: 23rem;
}

.coleccion-label {
    height: 61px;
    overflow-y: hidden;
}
.coleccion-user {
    height: 34px;
    width: 200px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    display: inline;
}
.coleccion-text {
    height: 132px;
    overflow-y: hidden;
}
.md-button-group {
    display: flex;
}
</style>
